/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mobirentdesktop.entities;

import connectors.NameConnector;
import peaconnector.SEAnnot;
import peaconnector.XmlSerializerSchemas;

/**
 *
 * @author Budai Attila
 */
@ClassNameConnector(guiName = "Administrator")
@XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "administrator"))
public class Administrator {

    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "passCode"))
    private String passCode;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "name"))
    private String name;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "userName"))
    private String userName;

    public Administrator(String passCode, String name, String userName) {
        this.passCode = passCode;
        this.name = name;
        this.userName = userName;
    }

    public Administrator() {
    }

    @NameConnector(guiName = "Név")
    public String getName() {
        return name;
    }

    @NameConnector(guiName = "Felhasználói név")
    public String getUserName() {
        return userName;
    }

    public String getPassCode() {
        return passCode;
    }

    public void setPassCode(String passCode) {
        this.passCode = passCode;
    }

    @NameConnector(guiName = "Név")
    public void setName(String name) {
        this.name = name;
    }

    @NameConnector(guiName = "Felhasználói név")
    public void setUserName(String userName) {
        this.userName = userName;
    }
}
